Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ClassNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.ClassNotFoundException

All Implemented Interfaces:
  Serializable

public class ClassNotFoundException
extends Exception

Thrown when an application tries to load in a class through its string name using:

- The `forName` method in class `Class`.
- The `findSystemClass` method in class `ClassLoader` .
- The `loadClass` method in class `ClassLoader`.

but no definition for the class with the specifed name could be found.

Since:
  JDK1.0
See Also:
  `Class.forName(java.lang.String)`, `ClassLoader.findSystemClass(java.lang.String)`, `ClassLoader.loadClass(java.lang.String, boolean)`, Serialized Form

Constructor Summary
`ClassNotFoundException()` Constructs a `ClassNotFoundException` with no detail message.
`ClassNotFoundException(String s)` Constructs a `ClassNotFoundException` with the specified detail message.
`ClassNotFoundException(String s, Throwable ex)` Constructs a `ClassNotFoundException` with the specified detail message and optional exception that was raised while loading the class.

Method Summary
`Throwable` | `getException()` Returns the exception that was raised if an error occurred while attempting to load the class.
`void` | `printStackTrace()` Prints the stack backtrace.
`void` | `printStackTrace(PrintStream ps)` Prints the stack backtrace to the specified print stream.
`void` | `printStackTrace(PrintWriter pw)` Prints the stack backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassNotFoundException

    public ClassNotFoundException()

  Constructs a `ClassNotFoundException` with no detail message.

### ClassNotFoundException

    public ClassNotFoundException(String s)

  Constructs a `ClassNotFoundException` with the specified detail message.
  Parameters:
    `s` - the detail message.

### ClassNotFoundException

    public ClassNotFoundException(String s,
                                  Throwable ex)

  Constructs a `ClassNotFoundException` with the specified detail message and optional exception that was raised while loading the class.
  Parameters:
    `s` - the detail message
    `ex` - the exception that was raised while loading the class
  Since:
    1.2

Method Detail

### getException

    public Throwable getException()

  Returns the exception that was raised if an error occurred while attempting to load the class. Otherwise, returns null.
  Returns:
    the `Exception` that was raised while loading a class
  Since:
    1.2

### printStackTrace

    public void printStackTrace()

  Prints the stack backtrace. If an exception occurred during class loading it prints that exception's stack trace, or else prints the stack backtrace of this exception.
  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the stack backtrace to the specified print stream. If an exception occurred during class loading it prints that exception's stack trace, or else prints the stack backtrace of this exception.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the stack backtrace to the specified print writer. If an exception occurred during class loading it prints that exception's stack trace, or else prints the stack backtrace of this exception.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.